<div class="profile-panel">
    <!-- Education Panel header -->
    <div class="profile-panel-header"><h2>Education</h2></div>

    <div class="profile-panel-content">
        <!-- Add Education Details button -->
        <div class="first-editable" *ngIf="developer.education.length==0"
                id='addYourEducationDetailsButton' (click)="_handleEditEntryRequest()">
            <span>+</span> Add your education details.
        </div>

        <!-- Education entries list -->
        <div id='entryContainer'>
            <div class="educ-entry editable" *ngFor="let entry of developer.education" (click)="_handleEditEntryRequest(entry)">
                <!-- Dates Studied label (desktop) -->
                <div class="educ-dates-desktop">{{ entry.start_year }} - {{ entry.end_year }}</div>

                <div class="educ-main">
                    <!-- Degree Details label (desktop) -->
                    <div class="educ-degree-desktop">
                        {{ entry.degree }}<span *ngIf="entry.area_of_study">, {{ entry.area_of_study }}</span>
                    </div>

                    <!-- Degree Details label (mobile) -->
                    <div class="educ-degree-mobile">
                        {{ entry.degree }}<br />
                        <span *ngIf="entry.area_of_study">{{ entry.area_of_study }}</span>
                    </div>

                    <!-- School Attended label -->
                    <div class="educ-institution">{{ entry.school }}</div>

                    <!-- Dates Studied label (mobile) -->
                    <div class="educ-dates-mobile">{{ entry.start_year }} - {{ entry.end_year }}</div>

                    <!-- Optional Description label -->
                    <div class="educ-description" *ngIf="entry.description">
                        <p *ngFor='let paragraph of entry.description | newLinesToBr'>
                            {{ paragraph }}
                        </p>
                    </div>
                </div>
            </div>
        </div>

        <!-- Add Another Entry button -->
        <span class="filler-text editable add-new-entry" *ngIf="developer.education.length"
                id='addAnotherEntryButton' (click)="_handleEditEntryRequest()">Add another entry</span>
    </div>
</div>
